package cards.maumau.model;

import cards.Card;
import cards.Suit;

public class SevenChosen implements GameState{
    private final ActionHandler handler;

    SevenChosen(ActionHandler handler) {
        this.handler = handler;
    }

    public void addPlayer(Player player){}
    public void startGame(){}
    public void finishGame(){}
    public void cancelGame(){}

    public void chooseCard(Card c){
        if (handler.canPlay(c)) {
            handler.getGame().getPlayerHandler().getCurrentPlayer().playCard(c);
            handler.increment7Counter();
            handler.getGame().getPlayerHandler().nextTurn(1);
        } else {

        }
    }

    public void chooseSuit(Suit suit){}
    public void skip(){}
    public void no7(){
        handler.getGame().getPlayerHandler().getCurrentPlayer().drawCards(2 * handler.get7Counter());
        handler.reset7Counter();
        handler.setGameState(new Normal(handler));
    }
}
